services:
  opendkim:
    build: "."
    ports:
      - "10029:10029"
    environment:
      OPENDKIM_SQL_DSN: "mysql://user:pass@proxysql/db"
      OPENDKIM_REPORT_ADDRESS: "postmaster@example.com"
    extra_hosts:
      - "host.docker.internal:host-gateway"

  proxysql:
    image: proxysql/proxysql:2.7.3-debian
    volumes:
      - "./test-data/proxysql/proxysql.cnf:/etc/proxysql.cnf:ro"

  mysql:
    image: "mysql:9"
    command: "--log-bin-trust-function-creators"
    environment:
      LANG: C.UTF-8
      MYSQL_USER: "user"
      MYSQL_PASSWORD: "pass"
      MYSQL_DATABASE: "db"
      MYSQL_ROOT_PASSWORD: "toor"
    cap_add:
      - SYS_NICE
    volumes:
      - "./test-data/mysql-init.d/:/docker-entrypoint-initdb.d/"
